<div ng-controller="NaveCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a ui-sref="home.dashboard">Mantenimiento</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
			<div class="panel panel-success">
				<div class="panel-heading">
					<h3 class="panel-title">Nave</h3>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-4">
							<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Nave">
						</div>
						<div class="col-md-4 col-md-offset-4">
							<button class="btn btn-rounded-10 btn-success btn-block" ng-if="permisosHas('mantenimiento.registrar')" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar nave</button>

						</div>
						<br ng-if="flag">
						<div class="loading-container" ng-if="flag">
	                        <div class="loading"></div>
	                        <div id="loading-text">Cargando</div>
                    	</div>
						<div class="col-md-12" ng-if="!flag">
						<br>
							<div class="table-responsive">
								<table class="table table-hover">
									<thead>
										<tr>
											<th>Nave</th>
											<th class="text-center" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')">Opciones</th>
										</tr>
									</thead>
									<tbody>
										<tr dir-paginate="na in naves |filter: buscar | itemsPerPage: 10" pagination-id="na.id">
											<td>{{na.nombre | uppercase}}</td>
											<td ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" width="350px" class="text-center">
												<button class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('mantenimiento.actualizar')" ng-click="load(na);openModalSave($event)"  data-options="splash-2 splash-ef-14">actualizar <i class="fa fa-refresh"></i></button>
												<button class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('mantenimiento.eliminar')" ng-click="load(na);openModalDelete($event)"  data-options="splash-2 splash-ef-14">eliminar <i class="fa fa-trash-o"></i></button>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
							<div class="pull-right">
								<dir-pagination-controls pagination-id="na.id"></dir-pagination-controls>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal fade" id="modal_nave">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-body">
							<form>
								<legend class="text-center"><span ng-show="flagCrud">Crear</span><span ng-hide="flagCrud">Editar</span> Nave</legend>
							
								<div class="form-group">
									<label for="">Nave</label>
									<input type="text" class="form-control" id="nave" ng-model="obj.nombre" placeholder="Nave">
								</div>

								<div class="text-center">
									<button type="submit" class="btn btn-success btn-lg" ng-click="createEdit()" data-dismiss="modal"><span ng-show="flagCrud">Guardar</span><span ng-hide="flagCrud">Editar</span></button>
									<button type="button" class="btn btn-default btn-lg" data-dismiss="modal">Cancelar</button>
								</div>	
								
							</form>
						</div>
					</div>
				</div>
			</div>

			<div class="modal fade" id="modal_nave_delete">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="text-center">
								<h4 class="modal-title">¿Desea Eliminar Nave?</h4>
							</div>					
						</div>
						<div class="modal-body">
							<div class="text-center">
								<h3>{{obj.nombre}}</h3>
								<button type="submit" class="btn btn-danger btn-lg" ng-click="delete()" data-dismiss="modal">Eliminar</button>
								<button type="button" class="btn btn-default btn-lg" data-dismiss="modal" ng-click="clear()">Cancelar</button>
							</div>
						</div>
					</div>
				</div>
			</div>

			<script type="text/ng-template" id="modal_nave.html">
		        <!-- <div class="modal-header">
		            <h3 class="modal-title custom-font">I'm a modal!</h3>
		        </div> -->
		        <div class="modal-body">
					<form>
						<legend class="text-center"><span ng-show="obj.crud">Crear</span><span ng-hide="obj.crud">Editar</span> Nave</legend>
							
						<div class="form-group">
							<label for="">Nave</label>
							<input type="text" class="form-control" id="nave" ng-model="obj.nombre" placeholder="Nave">
						</div>

						<div class="text-center">
			                <button type="button" class="btn btn-default" ng-click="createEdit()">
			                <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Editar</span></button>
			                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
			            </div>	
						
					</form>
				</div>
		    </script>

		    <script type="text/ng-template" id="modal_nave_delete.html">
		        <div class="modal-header">
		        	<div class="text-center">
		        		<h3 class="modal-title custom-font">¿Desea Eliminar Nave?</h3>
		        	</div>            
		        </div>
		        <div class="modal-body">
					<div class="text-center">
						<h3>{{obj.nombre}}</h3>
						<button type="button" class="btn btn-danger" ng-click="ok()">Aceptar</button>
		                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
					</div>
				</div>
		    </script>
		</div>
	</div>
</div>